Subject: Re: linux-next: build failure after merge of the phy-next tree

From: Vinod Koul <[email-masked]>
Date: Wed, 15 Dec 2021 20:50:04 +0530

On 15-12-21, 14:14, Marcel Ziswiler wrote:
> On Wed, 2021-12-15 at 13:49 +0000, [email-masked] wrote:
> > Hi all,
> > 
> > After merging the phy-next tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> 
> I admit I never tried building any of this as a module. I assume neither did Richard (now on CC) or anybody
> else.
> 
> > /tmp/next/build/drivers/phy/freescale/phy-fsl-imx8m-pcie.c: In function 'imx8_pcie_phy_init':
> > /tmp/next/build/drivers/phy/freescale/phy-fsl-imx8m-pcie.c:41:37: error: implicit declaration of function
> > 'FIELD_PREP' [-Werror=implicit-function-declaration]
> 
> Hm, that should come from include/linux/bitfield.h. However, that seems not explicitly included. Likely, in the
> module case it no longer finds it. That's a problem.
> 
> >    41 | #define IMX8MM_GPR_PCIE_REF_CLK_EXT FIELD_PREP(IMX8MM_GPR_PCIE_REF_CLK_SEL, 0x2)
> >       |                                     ^~~~~~~~~~
> > /tmp/next/build/drivers/phy/freescale/phy-fsl-imx8m-pcie.c:85:7: note: in expansion of macro
> > 'IMX8MM_GPR_PCIE_REF_CLK_EXT'
> >    85 |       IMX8MM_GPR_PCIE_REF_CLK_EXT :
> >       |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~
> > cc1: all warnings being treated as errors
> > 
> > Caused by commit
> > 
> >   1aa97b002258a190d77 ("phy: freescale: pcie: Initialize the imx8 pcie standalone phy driver")
> > 
> > I have used the phy-next tree from yesterday.
> 
> Yes, I also noticed it having been applied there now.
> 
> Anyway, let me cook up a fix for this. Thanks for reporting.

I have fixed it up: https://lore.kernel.org/all/[email-masked]/

will push now

-- 
~Vinod